%define	enable_tests	0

Summary:	An HTTP and WebDAV client library
Name:		neon
Version:	0.25.3
Release:	4
License:	LGPL
Group:		Applications/Publishing
Source0:	http://www.webdav.org/neon/neon-%{version}.tar.gz
Patch0:		neon-0.25.3-config.patch
BuildRequires:	expat-devel, openssl-devel, zlib-devel
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-root

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%files
  %defattr(-,root,root)
  %doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
  %attr(0555,root,root)	%{_libdir}/*.so.*

%package devel
Summary:	Static libraries and C header files for the neon library.
Group:		Development/Libraries
Requires:	neon = %{version}-%{release}, openssl-devel, zlib-devel, expat-devel

%description devel
The development library for the C language HTTP and WebDAV client library.

%files devel
  %defattr(-,root,root)
  %doc doc/html
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man3/*
  %attr(0511,root,root)		%{_bindir}/*
  %attr(0444,root,root)		%{_includedir}/%{name}*
  %attr(0444,root,root)		%{_libdir}/pkgconfig/neon.pc
  %attr(0444,root,root)		%{_libdir}/*.a
  %attr(0444,root,root)		%{_libdir}/*.la
  %attr(0555,root,root)		%{_libdir}/*.so

%prep
%setup -q
%patch0 -p1

%build
  export CFLAGS="-Wall $RPM_OPT_FLAGS"
  %configure --with-ssl --with-expat --enable-shared
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  %if %{enable_tests}
    make -C test %{?_smp_mflags} check || true
  %endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 30 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.25.3, Release 4
  - Fix permissions on the libraries.

* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 0.25.3, Release 3
  - Upgrade to latest
  - Migrated config patch 
  - Removed other patches as they are part of the source now

* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.24.7, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.24.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
